Start infrastructure inventory import
curl --request POST \
--url https://api.trycomp.ai/v1/evidence-forms/infrastructure-inventory/suggestions/runs \
--header 'X-API-Key: <api-key>'const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.trycomp.ai/v1/evidence-forms/infrastructure-inventory/suggestions/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trycomp.ai/v1/evidence-forms/infrastructure-inventory/suggestions/runs"
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text){
"runId": "<string>",
"status": "queued"
}Evidence Forms
Start infrastructure inventory import | Comp AI API
Start a background scan of connected inventory integrations. Returns runId; poll GET /v1/evidence-forms/infrastructure-inventory/suggestions/runs/.
POST
/
v1
/
evidence-forms
/
infrastructure-inventory
/
suggestions
/
runs
Start infrastructure inventory import
curl --request POST \
--url https://api.trycomp.ai/v1/evidence-forms/infrastructure-inventory/suggestions/runs \
--header 'X-API-Key: <api-key>'const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.trycomp.ai/v1/evidence-forms/infrastructure-inventory/suggestions/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trycomp.ai/v1/evidence-forms/infrastructure-inventory/suggestions/runs"
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text){
"runId": "<string>",
"status": "queued"
}Authorizations
API key for authentication
Headers
Organization ID (required for session auth, optional for API key auth)
Was this page helpful?

